
sqlInit = """
CREATE TABLE bubble(
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    x FLOAT NOT NULL,
    y FLOAT NOT NULL,
    r FLOAT NOT NULL,
    parent_id INTEGER NULL,
    FOREIGN KEY (parent_id) REFERENCES bubble(id)
);

CREATE TABLE tag(
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    name TEXT NOT NULL UNIQUE
);

CREATE TABLE tagging(
    bubble_id INTEGER NOT NULL,
    tag_id INTEGER NOT NULL,
    FOREIGN KEY (bubble_id) REFERENCES bubble(id),
    FOREIGN KEY (tag_id) REFERENCES tag(id)
);

CREATE TABLE victor(
    id INTEGER PRIMARY KEY AUTOINCREMENT,
    x FLOAT NOT NULL,
    y FLOAT NOT NULL    
);
"""

if __name__ == '__main__':
    pass
