import pygame
from pygame import *

class Pyg(object):
    def __init__(self,w,h,fps,name):
        self._w=w;
        self._h=h;
        self._fps=fps;
        pygame.init()
        self._screen = pygame.display.set_mode((w, h))
        self._clock = pygame.time.Clock()
        pygame.display.set_caption(name)
        self._lst = []

    def clearScr(self):
        pygame.display.flip()
        self._screen.fill((0,0,0))
    
    def wait(self):
        self._clock.tick(60)

    def getControlState(self):
        for event in pygame.event.get():
            if event.type == pygame.QUIT:
                self._lst.append(pygame.QUIT)
            elif event.type == pygame.KEYDOWN:
                self._lst.append(event.key)
            elif event.type == pygame.KEYUP:
                if event.key in self._lst:
                    self._lst.remove(event.key)
        return self._lst

    def getMouse(self):
        return pygame.mouse.get_pos()+pygame.mouse.get_pressed()

    def drawLine(self,x1,y1,x2,y2,color):
        pygame.draw.line(self._screen, color, (int(x1),int(y1)), (int(x2),int(y2)))
    
    def drawCircle(self,x,y,r,color):
        pygame.draw.circle(self._screen, color, (int(x),int(y)), int(r), 1)
